## python-bioframe 0.3.3

=== debian/changelog ===
python-bioframe (0.3.3-2) unstable; urgency=medium

  * Add patch to fix FTBFS on 32 bit
  * Change arch to all

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 22:23:44 +0530

python-bioframe (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #1027415)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 11:33:29 +0530

## python-bioframe 0.4.1

=== Makefile ===
.PHONY: install clean-pyc clean-build build test publish docs-init docs

install:
	pip install -r requirements-dev.txt
	pip install -e .

test:
	pytest

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +

clean-build:
	rm -rf build/
	rm -rf dist/

clean: clean-pyc clean-build

build: clean-build
	python setup.py sdist
	python setup.py bdist_wheel

docs-init:
	pip install -r docs/requirements_doc.txt

docs:
	cd docs && make html

publish: build
	twine upload dist/*

publish-test:
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

=== requirements.txt ===
numpy>=1.10
matplotlib
pandas>=1.3
requests

=== debian/changelog ===
python-bioframe (0.4.1-2) unstable; urgency=medium

  * Team Upload
  * Reformat d/control with debputy
  * Add a runtime dep on python3-pkg-resources
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.7.0

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 20:11:30 +0100

python-bioframe (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1 
    + Refresh patches

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 23:21:10 +0530

=== debian/control ===
Source: python-bioframe
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Nilesh Patra <nilesh@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-matplotlib,
 python3-numpy,
 python3-pandas,
 python3-pytest <!nocheck>,
 python3-requests,
 python3-setuptools,
 python3-wheel,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/python-bioframe
Vcs-Git: https://salsa.debian.org/med-team/python-bioframe.git
Homepage: https://github.com/open2c/bioframe
Rules-Requires-Root: no
X-Style: black

Package: python3-bioframe
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: library to enable flexible, scalable operations on genomic interval dataframes
 Building bioframe directly on top of pandas enables immediate access
 to a rich set of dataframe operations. Working in Python enables
 rapid visualization (e.g. matplotlib, seaborn) and iteration of
 genomic analyses.
 .
 Bioframe implements a variety of genomic interval operations directly on
 dataframes. Bioframe also includes functions for loading diverse genomic
 data formats, and performing operations on special classes of genomic
 intervals, including chromosome arms and fixed size bins.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=python-bioframe

%:
	dh $@ --buildsystem pybuild

=== debian/tests/control ===
Tests:
 run-unit-test,
Depends:
 python3-all,
 python3-pytest,
 @,
Restrictions:
 allow-stderr,

## python-bioframe 0.8.0

=== debian/changelog ===
python-bioframe (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * Package Adoption
  * Removed patch as it is redundant
  * Bump Standards-Version to 4.7.2
  * Added gbp.conf

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Wed, 10 Dec 2025 14:25:30 +0530

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,28 @@
 Source: python-bioframe
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders:
- Nilesh Patra <nilesh@debian.org>,
+ Aryan Karamtoth <spaciouscoder78@disroot.org>
 Section: science
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
  dh-sequence-python3,
  python3-all,
  python3-matplotlib,
  python3-numpy,
  python3-pandas,
+ python3-pandas-lib,
  python3-pytest <!nocheck>,
  python3-requests,
  python3-setuptools,
  python3-wheel,
-Standards-Version: 4.7.0
+ python3-hatchling,
+ python3-hatch-vcs,
+ python3-yaml,
+ python3-pysam,
+ python3-biopython,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-bioframe
 Vcs-Git: https://salsa.debian.org/med-team/python-bioframe.git
 Homepage: https://github.com/open2c/bioframe

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=python-bioframe
export PYBUILD_TEST_ARGS= --ignore tests/test_resources.py

%:
	dh $@ --buildsystem pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: open2c
Project: bioframe
